- API
- File Info
GET
https://send.now/api/file/info?key=APIkey&file_code=file_code
https://send.now/api/file/info?key=APIkey;url=https://send.now/1zvjvzlkq8fx
| Parameters |
Description |
Example |
Format |
Required |
| key |
APIkey |
1ltghrilhllgrx2b2 |
STRING |
yes |
| file_code |
File Code |
gi4o0tlro01u |
STRING |
yes |
| url |
Long URL |
https://send.now/1zvjvzlkq8fx |
STRING |
yes |
| url |
Short URL |
https://send.now/d/1ahrH |
STRING |
yes |
cURL example
curl --include \
'https://send.now/api/file/info?key=APIkey&file_code=0rw8u8exqqte,0rw8u8exqqtd'
curl --include \
'https://send.now/api/file/info?key=APIkey;url=https://send.now/rg9q9kkhkqfh,https://send.now/d/1ahrH'
Response
{
"msg": "OK",
"result": [
{
"file_status": 404,
"filecode": "k6c2hddcy665",
"url": "https://send.now/k6c2hddcy665"
},
{
"filecode": "1zvjvzlkq8fx",
"file_last_download": "2022-02-08 11:18:47",
"file_sha256": "d3821eb84ec5150f352354d9c0081b49025b008527cc3e5e67636dbb51a2fd52",
"size": 85629,
"downloads": 0,
"file_status": 200,
"uploaded": "2022-02-08 11:18:47",
"file_md5": "l24/2NdoAK8aRjpskcI4ow",
"name": "2021-05-09_13h29_46.png",
"url": "https://send.now/1zvjvzlkq8fx"
}
],
"status": 200,
"server_time": "2025-10-23 11:07:53"
}
Status code
| 200 |
Everything is OK. Request succeeded |
| 400 |
Bad request (e.g. wrong parameters) |
| 403 |
Permission denied |
| 404 |
File not found |
| 451 |
Unavailable
|